Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.linechart.linechartgui
Class LineChartGUI

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      madkit.linechart.linechartgui.LineChartGUI

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible

    public class LineChartGUI

extends javax.swing.JPanel

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`madkit.linechart.linechartgui.GraphComponent` | `monGraphComponent`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`LineChartGUI()` Constructeur par défaut.
`LineChartGUI(int width, int height)`

Method Summary
`void` | `activate(java.lang.String nom)` Active le graph de nom 'nom'.
`void` | `addNewGraph(java.lang.String nom)` Crée un nouveau graph, simplement en lui attribuant un nom
`void` | `desactivate(java.lang.String nom)` Desactive le graphe de nom 'nom' .
`void` | `Dimensionner()` Initialise les dimensions de la fenetre suivant la taille de l'écran
`void` | `drawPoint(java.lang.String nom, int x, int y)` Ajoute puis affiche le point de cordonnée (x,y) au graph nom
`java.awt.Color` | `getColor(java.lang.String nom)` Retourne la couleur du graph de nom 'nom'
`boolean` | `getDrawScaleX()` retourne vrai si on affiche les indices de l'axe des x
`boolean` | `getDrawScaleY()` retourne vrai si on affiche les indices de l'axe des x
`int` | `getEchelleX()` Retourne l'échelle de l'axe des x
`int` | `getEchelleY()` Retourne l'echelle de l'axe des y
`int` | `getEspaceX()` Retourne l'espace entre deux points de l'axe des x
`int` | `getEspaceY()` Retourne l'espace entre deux points de l'axe des y
`java.awt.Dimension` | `getPreferredSize()`
`void` | `init()`
`boolean` | `isActivated(java.lang.String nom)` Retourne Vrai si le graphe est activé, faux sinon
`void` | `setDrawScaleX(boolean b)` Affichage des indices de l'axe des x
`void` | `setDrawScaleY(boolean b)` Affichage des indices de l'axe des y
`void` | `setGraphColor(java.lang.String name, java.awt.Color couleur)` Attribut une couleur au graph de nom name
`void` | `setScaleX(int X)` Initialise l'échelle de l'axe des x (sert aussi à la modifier)
`void` | `setScaleY(int Y)` Initialise l'échelle de l'axe des y (sert aussi à la modifier)
`void` | `setSpaceX(int X)` Initialise l'espace entre deux points de l'axe des x
`void` | `setSpaceY(int Y)` Initialise l'espace entre deux points de l'axe des y
`void` | `setTitleAxeX(java.lang.String titreAxeX)` Attribut un titre à l'axe des x
`void` | `setTitleAxeY(java.lang.String titreAxeY)` Attribut un titre à l'axe des y
`void` | `setTitleGraph(java.lang.String titre)` Attribut un titre au graphe

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### monGraphComponent

    public madkit.linechart.linechartgui.GraphComponent monGraphComponent

Constructor Detail

### LineChartGUI

    public LineChartGUI(int width,
                        int height)

### LineChartGUI

    public LineChartGUI()

  Constructeur par défaut. Nécessaire pour l'intégration à madkit

Method Detail

### getPreferredSize

    public java.awt.Dimension getPreferredSize()

  Overrides:
    `getPreferredSize` in class `javax.swing.JComponent`

### init

    public void init()

### Dimensionner

    public void Dimensionner()

  Initialise les dimensions de la fenetre suivant la taille de l'écran

### setScaleX

    public void setScaleX(int X)

  Initialise l'échelle de l'axe des x (sert aussi à la modifier)

### setScaleY

    public void setScaleY(int Y)

  Initialise l'échelle de l'axe des y (sert aussi à la modifier)

### getEchelleX

    public int getEchelleX()

  Retourne l'échelle de l'axe des x

### getEchelleY

    public int getEchelleY()

  Retourne l'echelle de l'axe des y

### setSpaceX

    public void setSpaceX(int X)

  Initialise l'espace entre deux points de l'axe des x

### setSpaceY

    public void setSpaceY(int Y)

  Initialise l'espace entre deux points de l'axe des y

### getEspaceX

    public int getEspaceX()

  Retourne l'espace entre deux points de l'axe des x

### getEspaceY

    public int getEspaceY()

  Retourne l'espace entre deux points de l'axe des y

### addNewGraph

    public void addNewGraph(java.lang.String nom)

  Crée un nouveau graph, simplement en lui attribuant un nom

### setGraphColor

    public void setGraphColor(java.lang.String name,
                              java.awt.Color couleur)

  Attribut une couleur au graph de nom name

### drawPoint

    public void drawPoint(java.lang.String nom,
                          int x,
                          int y)

  Ajoute puis affiche le point de cordonnée (x,y) au graph nom

### activate

    public void activate(java.lang.String nom)

  Active le graph de nom 'nom'. Ce qui implique son affichage

### desactivate

    public void desactivate(java.lang.String nom)

  Desactive le graphe de nom 'nom' . Ce qui le masque

### isActivated

    public boolean isActivated(java.lang.String nom)

  Retourne Vrai si le graphe est activé, faux sinon

### getColor

    public java.awt.Color getColor(java.lang.String nom)

  Retourne la couleur du graph de nom 'nom'

### setTitleAxeX

    public void setTitleAxeX(java.lang.String titreAxeX)

  Attribut un titre à l'axe des x

### setTitleAxeY

    public void setTitleAxeY(java.lang.String titreAxeY)

  Attribut un titre à l'axe des y

### setTitleGraph

    public void setTitleGraph(java.lang.String titre)

  Attribut un titre au graphe

### setDrawScaleX

    public void setDrawScaleX(boolean b)

  Affichage des indices de l'axe des x

### getDrawScaleX

    public boolean getDrawScaleX()

  retourne vrai si on affiche les indices de l'axe des x

### setDrawScaleY

    public void setDrawScaleY(boolean b)

  Affichage des indices de l'axe des y

### getDrawScaleY

    public boolean getDrawScaleY()

  retourne vrai si on affiche les indices de l'axe des x

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.